package com.company.commands;

public class CommandConstants {
    static final String INVALID_NUMBER_OF_ARGUMENTS = "Invalid number of arguments";
    static final String TEAM_EXISTS_ERROR_MESSAGE = "Team %s already exists";
    static final String TEAM_CREATED_SUCCESS_MESSAGE = "Team %s created";
    static final String TEAM_NOT_FOUND_ERROR_MESSAGE = "Team %s not found";
    static final String PERSON_EXISTS_ERROR_MESSAGE = "Person %s already exists";
    static final String PERSON_CREATED_SUCCESS_MESSAGE = "Person %s created";
    static final String PERSON_NOT_FOUND_ERROR_MESSAGE = "Person %s not found";
    static final String PERSON_ADDED_SUCCESS_MESSAGE = "Person %s added to team %s";
    static final String PERSON_ALREADY_LISTED_IN_TEAM_ERROR_MESSAGE = "Person %s already listed in team";
    static final String BOARD_EXISTS_ERROR_MESSAGE = "Board %s already exists";
    static final String BOARD_CREATED_AND_ADDED_IN_TEAM = "Board %s created and added in team %s";
    static final String BOARD_NOT_FOUND_ERROR_MESSAGE = "Board %s not found";
    static final String BUG_CREATED_AND_ADDED_IN_BOARD_OF_TEAM = "Bug %s created and added in board %s of team %s";
    static final String STORY_CREATED_AND_ADDED_IN_BOARD_OF_TEAM = "Story %d %s created and added in board %s of team %s";
    static final String FEEDBACK_CREATED_AND_ADDED_IN_BOARD_OF_TEAM = "Feedback %s created and added in board %s of team %s";
    static final String WORK_ITEM_ID_NOT_FOUND_ERROR_MESSAGE = "Work item with ID %d doesn't exist";
    static final String RATING_OUT_OF_SCOPE_ERROR_MESSAGE = "Rating should be between 0 and 10";
    static final String BUG_SEVERITY_ALREADY_CHANGED_TO_THIS_VALUE_ERROR_MESSAGE = "The severity of bug with ID %d has already been set to %s";
    static final String BUG_SEVERITY_WAS_CHANGED = "The severity of bug with ID %d was fixed to %s";
    static final String WORK_ITEM_ID_NOT_ASSIGNABLE_ITEM_ERROR_MESSAGE = "Work item with ID %d doesn't have priority-type";
    static final String WORK_ITEM_PRIORITY_ALREADY_CHANGED_TO_THIS_VALUE_ERROR_MESSAGE = "The priority of work item with ID %d has already been set to %s";
    static final String WORK_ITEM_PRIORITY_WAS_CHANGED = "The priority of work item with ID %d was fixed to %s";
    static final String FEEDBACK_RATING_ALREADY_CHANGED_TO_THIS_VALUE_ERROR_MESSAGE = "The rating of feedback with ID %d has already been set to %d";
    static final String FEEDBACK_RATING_WAS_CHANGED = "The rating of feedback with ID %d was fixed to %d";
    static final String WORK_ITEM_NOT_FOUND_ERROR_MESSAGE = "%s with ID %d doesn't exist";
    static final String STORY_SIZE_TYPE_ALREADY_CHANGED_TO_THIS_VALUE_ERROR_MESSAGE = "The size of story with ID %d has already been set to %s";
    static final String STORY_SIZE_WAS_CHANGED = "The size of work item with ID %d was set to %s";
    static final String ITEM_ASSIGNED_SUCCESS_MESSAGE = "Work item %d was assigned to person %s";
    static final String WORK_ITEM_ALREADY_ASSIGNED_ERROR_MESSAGE = "Work item %d is already assigned to a person";
    static final String WORK_ITEM_NOT_ASSIGNED_ERROR_MESSAGE = "Work item %d is not assigned to any person";
    static final String ITEM_UNASSIGNED_SUCCESS_MESSAGE = "Work item %d was unassigned from %s's list";
    static final String COMMENT_ADDED_SUCCESS_MESSAGE = "New comment was added to work item with ID %d";
    static final String WORK_ITEM_ID_NOT_ASSIGNABLE_FOUND_ERROR_MESSAGE = "Work item with ID %d is not assignable";
    static final String PERSON_NOT_RESPONSIBLE_ERROR_MESSAGE = "Person %s is not in the team responsible for workitem %d";
    static final String ITEM_FOR_FEEDBACK_NOT_FOUND_IN_BOARD_ERROR_MESSAGE = "Workitem ID %d is not in board %s";
    static final String ITEM_NOT_ASSIGNED_FOUND_ERROR_MESSAGE = "%s with ID %d is still not assigned and severity cannot be changed";
    static final String ITEM_FOR_FEEDBACK_NOT_FOUND_ERROR_MESSAGE="Workitem ID %d is not an assignable item or doesn't exist and cannot have feedback";
}